//+------------------------------------------------------------------+
//|                                                Inside Bars.mq4 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Yellow
extern int Amplutide=150;
extern int Spread=15;
double Signal[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
    IndicatorBuffers(1);
    SetIndexStyle(0,DRAW_ARROW,Yellow);
    SetIndexArrow(0,37);
    SetIndexBuffer(0,Signal);
    IndicatorShortName("Inside Bars" + "("+Period()+")");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

   int limit;
   int counted_bars=IndicatorCounted();
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   for(int i=limit-1; i>=0; i++)
   {
     if(High[i+1]+Spread*Point>=High[i] && Low[i+1]-Spread*Point<=Low[i] && High[i+1]-Low[i+1]>Amplutide*Point 
     && High[i]-Low[i]<=(High[i+1]-Low[i+1])*2/3)               Signal[i]=Low[i]-8*Point;
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+